<template>
    <nav class="navbar navbar-expand-lg bg-body-tertiary">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">Navbar</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <router-link class="nav-link" to="/" v-if="isAuthenticated">Home </router-link>
        </li>
        <li class="nav-item">
          <router-link class="nav-link" to="/login" v-if="!isAuthenticated">Login</router-link>
        </li>
        <li class="nav-item">
          <router-link class="nav-link" to="/signup" v-if="!isAuthenticated">Signup</router-link>
        </li>
        <li class="nav-item">
          <span class="nav-link" @click="logOut()" style="cursor: pointer;" v-if="isAuthenticated">Logout</span>
        </li>
        <li class="nav-item">
          <router-link class="nav-link" to="/view-profile" v-if="isAuthenticated">Profile</router-link>
        </li>
      </ul>
    </div>
  </div>
</nav>
</template>
<script>
import { mapGetters } from 'vuex';
import { IS_USER_AUTHENTICATED} from '../store/storeConstants';
    export default({
      name:'TheNavbar',
      computed:{
        ...mapGetters('auth',{
            isAuthenticated: IS_USER_AUTHENTICATED
        })
      },
      methods:{
        logOut(){
          window.localStorage.removeItem('isAuthenticated')
          window.localStorage.removeItem('token')
          window.location.href = '/login'
        }
      },
     
    })
</script>